## clthreads 2.2.1

=== Makefile ===
#  Copyright (C) 2003-2006 Fons Adriaensen <fons.adriaensen@skynet.be>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU Lesser General Public License as published
#  by the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU Lesser General Public License for more details.
#
#  You should have received a copy of the GNU Lesser General Public
#  License along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


# Modify as required.
#
PREFIX = /usr
SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
LIBDIR = lib$(SUFFIX)


MAJVERS = 2
MINVERS = 2.1
VERSION = $(MAJVERS).$(MINVERS)
DISTDIR = clthreads-$(VERSION)


CPPFLAGS += -Wall -I. -fpic -D_REENTRANT -D_POSIX_PTHREAD_SEMANTICS -O2 
LDLFAGS += 
LDLIBS +=


CLTHREADS_SO = libclthreads.so
CLTHREADS_MAJ = $(CLTHREADS_SO).$(MAJVERS)
CLTHREADS_MIN = $(CLTHREADS_MAJ).$(MINVERS)
CLTHREADS_DEP = -lpthread
CLTHREADS_O = p_thread.o a_thread.o itc_mesg.o itc_ip1q.o itc_ctrl.o textmsg.o
CLTHREADS_H = clthreads.h


$(CLTHREADS_MIN): $(CLTHREADS_O)
	g++ -shared $(LDFLAGS) -Wl,-soname,$(CLTHREADS_MAJ) -o $(CLTHREADS_MIN) $(CLTHREADS_O) $(CLTHREADS_DEP)


install:	$(CLTHREADS_MIN)
	/usr/bin/install -d $(PREFIX)/$(LIBDIR)
	/usr/bin/install -m 644 $(CLTHREADS_H) $(PREFIX)/include
	/usr/bin/install -m 755 $(CLTHREADS_MIN) $(PREFIX)/$(LIBDIR)
	/sbin/ldconfig -n $(PREFIX)/$(LIBDIR)
	ln -sf $(CLTHREADS_MIN) $(PREFIX)/$(LIBDIR)/$(CLTHREADS_SO)


clean:
	/bin/rm -f *~ *.o *.a *.d *.so.*


tarball:
	cd ..; \
	/bin/rm -f -r $(DISTDIR)*; \
	svn export clthreads $(DISTDIR); \
	tar cvf $(DISTDIR).tar $(DISTDIR); \
	bzip2 $(DISTDIR).tar; \
	/bin/rm -f -r $(DISTDIR);

## clthreads 2.4.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-#  Copyright (C) 2003-2006 Fons Adriaensen <fons.adriaensen@skynet.be>
+#  Copyright (C) 2003-2008 Fons Adriaensen <fons@kokkinizita.net>
 #
 #  This program is free software; you can redistribute it and/or modify
 #  it under the terms of the GNU Lesser General Public License as published
@@ -17,13 +17,13 @@
 
 # Modify as required.
 #
-PREFIX = /usr
+PREFIX = /usr/local
 SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
 LIBDIR = lib$(SUFFIX)
 
 
 MAJVERS = 2
-MINVERS = 2.1
+MINVERS = 4.0
 VERSION = $(MAJVERS).$(MINVERS)
 DISTDIR = clthreads-$(VERSION)

=== debian/changelog ===
clthreads (2.4.0-3) unstable; urgency=low

  * Change my email address.
  * Bump Standards.
  * Switch to format 3.0 (quilt).
  * Add debian/gbp.conf,.gitignore files.
  * Add tags to patches as per DEP-3 spec.

 -- Alessio Treglia <alessio@debian.org>  Thu, 08 Jul 2010 00:03:34 +0200

clthreads (2.4.0-2) unstable; urgency=low

  [ Jaromír Mikeš ]
  * Reordered control file
  * Bump to Standards-Version: 3.8.4
  * Added Homepage field to control file
  * Corrected dependency in control file
  * File libclthreads2.symbols.amd64 added
  * File libclthreads2.symbols.i386 added
  * Fixed reference to LGPL-2 in copyright file
  * Fixed symbols in shared libraries (Closes: #558846)
  * Added quilt to build dependencies
  * weak-library-dev-dependency fixed
  * Set DM-Upload-Allowed: yes
  * Patch descriptions added

   [ Alessio Treglia ]
  * Set Debian pkg format to 1.0
  * Alessio Treglia added as uploader

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 21 May 2010 22:49:12 +0200

clthreads (2.4.0-1) unstable; urgency=low

  [ Jaromír Mikeš ]
  * New upstream release
  * in copyright file changed author email and page for download
  * changed line in debian/control ... Standards-Version: from 3.7.2 to 3.7.3
  * changed line in debian/control ... Section:(libclthreads-dev) to libdevel
  * line "Section: sound" to debian/control file
  * changed architecture from "any" to "all"

  [ Free Ekanayaka ]
  * Bump standards version to 3.8.1
  * Set maintainer to Debian Multimedia Maintainers
  * Add Vcs-Git and Vcs-Browser
  * Update debian/watch

 -- Free Ekanayaka <freee@debian.org>  Sun, 29 Mar 2009 14:02:45 +0200

clthreads (2.2.1-2) unstable; urgency=low

  * Fixed years in debian/copyright, it's actually 2003-2006 not 2005-
    2007

 -- Free Ekanayaka <freee@debian.org>  Tue, 24 Apr 2007 10:48:09 +0200

clthreads (2.2.1-1) unstable; urgency=low

  * Initial release (Closes: #420520)

 -- Free Ekanayaka <freee@debian.org>  Sun, 22 Apr 2007 22:36:52 +0200

=== debian/control ===
Source: clthreads
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>,
 Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 cdbs,
 libasound2-dev
DM-Upload-Allowed: yes
Standards-Version: 3.9.0
Vcs-Git: git://git.debian.org/git/pkg-multimedia/clthreads.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/clthreads.git
Homepage: http://www.kokkinizita.net/linuxaudio/downloads/index.html

Package: libclthreads-dev
Section: libdevel
Architecture: any
Depends: libclthreads2 (= ${binary:Version}),
 ${misc:Depends}
Description: Development file for libclthreads
 POSIX threads C++ access library. This package includes 
 the development tools.

Package: libclthreads2
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: POSIX threads C++ access library
 C++ wrapper library around the POSIX threads API. This package includes 
 the shared library object.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

# Add here any variable or target overrides you need.
DEB_MAKE_ENVVARS = CFLAGS="-Wall -I. -fpic -D_REENTRANT -D_POSIX_PTHREAD_SEMANTICS -O2"
DEB_MAKE_INVOKE = $(DEB_MAKE_ENVVARS) make
DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(CURDIR)/debian/tmp/
DEB_DH_INSTALL_SOURCEDIR = debian/tmp

=== debian/watch ===
# Site		Directory	Pattern		Version	Script
version=3
http://www.kokkinizita.net/linuxaudio/downloads/index.html clthreads-(.*)\.tar\.bz2

## clthreads 2.4.2

=== debian/changelog ===
clthreads (2.4.2-1.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:30:18 +0000

clthreads (2.4.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062080

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 16:06:26 +0000

clthreads (2.4.2-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Ross Gammon ]
  * Use secure URLs
  * Remove trailing whitespace in changelog
  * Bump dh compat level to 12
  * Bump standards version, no changes required
  * Add an upstream metadata file
  * Add patch to fix FTBFS in Ubuntu.
    Thanks to Logan Rosen <logan@ubuntu.com>
  * New upstream release
  * Update copyright file
  * Drop patches no longer required

  [ Sebastian Ramacher ]
  * debian/rules: Use dpkg's architecture.mk
  * debian/patches: Fix Makefile
  * debian/*.dirs: Remove, obsolete
  * debian/control:
    - Bump Standards-Version
    - Set RRR: no

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 23 Nov 2019 15:11:11 +0100

clthreads (2.4.0-7) unstable; urgency=medium

  * Add patch to use build architecture compiler for linking. (Closes: #853188)
  * Patches renamed.
  * Improve description.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 30 Jan 2017 21:19:15 +0100

clthreads (2.4.0-6) unstable; urgency=medium

  * Bump Standards.
  * Set dh/compat 10.
  * Fix VCS fields.
  * Fix hardening.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 03 Dec 2016 20:01:20 +0100

clthreads (2.4.0-5) unstable; urgency=low

  * Removed symbols files to fix build with g++ 4.8.
    (Closes: #701261)
  * Remove obsolete DMUA.
  * Set dh 9.
  * Bump Standards.
  * Add VCS canonical URLs.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 16 May 2013 14:18:58 +0200

clthreads (2.4.0-4) unstable; urgency=low

  * Build with Multi-Arch
  * Fixed URL in watch file
  * Fixed Homepage
  * Drop cdbs
  * Bump Standards
  * Refresh symbols files

   [ Alessio Treglia ]
  * Fix gbp.conf file
  * wrap-and-sort -a -s
  * Remove myself from the Uploaders field

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 01 Feb 2012 03:33:28 +0100

=== debian/control ===
Source: clthreads
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Free Ekanayaka <freee@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends: dpkg-dev (>= 1.22.5),
 debhelper-compat (= 12),
 libasound2-dev
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/multimedia-team/clthreads.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/clthreads
Homepage: https://kokkinizita.linuxaudio.org/linuxaudio/
Rules-Requires-Root: no

Package: libclthreads-dev
Section: libdevel
Architecture: any
Depends:
 libclthreads2t64 (= ${binary:Version}),
 ${misc:Depends}
Multi-Arch: same
Description: POSIX threads C++ access library (development files)
 C++ wrapper library around the POSIX threads API.
 POSIX threads C++ access library
 .
 This package provides the development headers.

Package: libclthreads2t64
Provides: ${t64:Provides}
Replaces: libclthreads2
Breaks: libclthreads2 (<< ${source:Version})
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: POSIX threads C++ access library  (shared library)
 C++ wrapper library around the POSIX threads API.
 POSIX threads C++ access library
 .
 This package contains the shared library for libclthreads2.

=== debian/watch ===
version=3

https://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html \
	clthreads-(.*)\.tar\.bz2
